PaymentTypeInformationSCT2
Date: 2015-04-26

de.jost_net.OBanToo.SEPA.Nachricht.pain_001_003_03

## Class PaymentTypeInformationSCT2

- java.lang.Object
- - de.jost_net.OBanToo.SEPA.Nachricht.pain_001_003_03.PaymentTypeInformationSCT2

-     public class PaymentTypeInformationSCT2
      extends java.lang.Object

  Java class for PaymentTypeInformationSCT2 complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PaymentTypeInformationSCT2">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="SvcLvl" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.003.03}ServiceLevelSEPA"/>
               <element name="CtgyPurp" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.003.03}CategoryPurposeSEPA" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CategoryPurposeSEPA` | `ctgyPurp`
    `protected ServiceLevelSEPA` | `svcLvl`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PaymentTypeInformationSCT2()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CategoryPurposeSEPA` | `getCtgyPurp()` Gets the value of the ctgyPurp property.
    `ServiceLevelSEPA` | `getSvcLvl()` Gets the value of the svcLvl property.
    `void` | `setCtgyPurp(CategoryPurposeSEPA value)` Sets the value of the ctgyPurp property.
    `void` | `setSvcLvl(ServiceLevelSEPA value)` Sets the value of the svcLvl property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### svcLvl

          protected ServiceLevelSEPA svcLvl

    - #### ctgyPurp

          protected CategoryPurposeSEPA ctgyPurp

  - ### Constructor Detail

    - #### PaymentTypeInformationSCT2

          public PaymentTypeInformationSCT2()

  - ### Method Detail

    - #### getSvcLvl

          public ServiceLevelSEPA getSvcLvl()

      Gets the value of the svcLvl property.
      Returns:
        possible object is `ServiceLevelSEPA`

    - #### setSvcLvl

          public void setSvcLvl(ServiceLevelSEPA value)

      Sets the value of the svcLvl property.
      Parameters:
        `value` - allowed object is `ServiceLevelSEPA`

    - #### getCtgyPurp

          public CategoryPurposeSEPA getCtgyPurp()

      Gets the value of the ctgyPurp property.
      Returns:
        possible object is `CategoryPurposeSEPA`

    - #### setCtgyPurp

          public void setCtgyPurp(CategoryPurposeSEPA value)

      Sets the value of the ctgyPurp property.
      Parameters:
        `value` - allowed object is `CategoryPurposeSEPA`